<?php
session_start();
include_once 'classes/TestProjektSmarty.class.php';
require_once("config.inc.php");
$templatename = substr(basename($_SERVER['PHP_SELF']),0,-3)."html";
$smarty = new Smarty();
require_once "language/german.inc.php";

require_once("func_verlauf.php");
require_once("func_htmlclean.php");

if(isset($_GET['id'])){
  $_SESSION["ausschuss_uberblick_id"] = $_GET['id'];
}
$id = $_SESSION["ausschuss_uberblick_id"];

$action = $_GET['action'];


if($action == ''){

  $db = dbconnect();
  

  
  $result = $db->query("SELECT vorname, nachname, mail, beziehung, betreff, beschreibung, vorschlag, nutzen, public, kategorie, hinweis_eigen, hinweis_admin
                           FROM imt_user a, imt_vorschlag b
                          WHERE a.imtuid=b.imtuid
                            AND b.vid = '$id'");
  $row = $result->fetch_array();
  

  $smarty->assign('ausschuss_uberblick_beziehung', $beziehung);
  $smarty->assign('ausschuss_uberblick_id', "$id");
  $smarty->assign('ausschuss_uberblick_vorname', "$row[vorname]");
  $smarty->assign('ausschuss_uberblick_nachname', "$row[nachname]");
  $smarty->assign('ausschuss_uberblick_mail', "$row[mail]");
  
  $smarty->assign('ausschuss_uberblick_betreff', "$row[betreff]");
  $smarty->assign('ausschuss_uberblick_beschreibung', "$row[beschreibung]");
  $smarty->assign('ausschuss_uberblick_vorschlag', "$row[vorschlag]");
  $smarty->assign('ausschuss_uberblick_nutzen', "$row[nutzen]");
  
  if($row['public'] == 'Y'){
    $public = "Ja";
  }else{
    $public = "Nein";
  }
  $smarty->assign('ausschuss_uberblick_public', "$public");
  $smarty->assign('ausschuss_uberblick_status', "$row[status]");
  $smarty->assign('ausschuss_uberblick_hinweis_eigen', "$row[hinweis_eigen]");
  $smarty->assign('ausschuss_uberblick_hinweis_admin', "$row[hinweis_admin]");
  

  $result_kategorie = $db->query("SELECT kategorie
                                     FROM imt_kategorie
                                    WHERE kid='$row[kategorie]'");
  $row_kategorie = $result_kategorie->fetch_array();
  
  $smarty->assign('ausschuss_uberblick_kategorie', "$row_kategorie[kategorie]");


  
 $query3 = "SELECT date_format(datum, '%d.%m.%Y - %H:%i Uhr') datum1,b.sid, b.status, verlauf
              FROM imt_verlauf a, imt_stati b
             WHERE a.status = b.sid
               AND a.status != 0
               AND a.vid='$id'
            ORDER BY datum DESC";
 
 $result3 = $db->query ($query3)
           or die ("Cannot execute query3");
 
 $table_data3 = array();
 $verlauf_dup = array("");
 while ($row3 = $result3->fetch_array()){
  $status = $row3[status];

  if($row3['sid'] == '103'){
    # Da jedes Ausschussmitglied informiert wird, reicht es aus, wenn bei den Statusdetails nur ein Hinweis pro Gutachter genannt wird, nicht 5x pro Person
    # Bei der Meldung "Ausschuss (Bernd Fuchsi) &uuml;ber Gutachter Wolf Wursti informiert. Frist: 25.06.2011" wird der Gutachter "Wolf Wursti" 
    # ausgeschnitten und in ein Array gepackt. Wird der gleiche Gutachter mit dem Status 103 nochamls durchgeschleift, wird in den else Bereich verwiesen
    # Im Template werden nur die Statis angezeigt die != "" sind
    $pos1 = strpos  ($row3[verlauf], 'Gutachter')+9;
    $status_103 = trim(substr($row3[verlauf], $pos1));
    $pos2 = strpos  ($status_103, 'informiert')-1;
    $status = trim(substr($status_103, 0,$pos2));

    if (!in_array($status, $verlauf_dup)) {
      $verlauf_dup[] = "$status";
      $status = $row3[status];
    }else{
      $status = "";
    }
  
  }
   
   
   array_push($table_data3, array(  
    'datum1' => $row3[datum1],
    'status' => $status
   )
   );
  
  
  
 }
 $smarty->assign('table_data3', $table_data3);


  
}



$smarty->assign('action', "$action");
$smarty->display("$template/$templatename");
?>